<!DOCTYPE html PUBLIC "-//W3C//DTD XHTML 1.0 Transitional//EN" "http://www.w3.org/TR/xhtml1/DTD/xhtml1-transitional.dtd">
<html xmlns="http://www.w3.org/1999/xhtml">
<head>
<meta http-equiv="Content-Type" content="text/xhtml;charset=UTF-8"/>
<meta http-equiv="X-UA-Compatible" content="IE=9"/>
<meta name="generator" content="Doxygen 1.8.13"/>
<meta name="viewport" content="width=device-width, initial-scale=1"/>
<title>eicd: eicd/TrackerData.h Source File</title>
<link href="tabs.css" rel="stylesheet" type="text/css"/>
<script type="text/javascript" src="jquery.js"></script>
<script type="text/javascript" src="dynsections.js"></script>
<link href="search/search.css" rel="stylesheet" type="text/css"/>
<script type="text/javascript" src="search/searchdata.js"></script>
<script type="text/javascript" src="search/search.js"></script>
<link href="doxygen.css" rel="stylesheet" type="text/css" />
</head>
<body>
<div id="top"><!-- do not remove this div, it is closed by doxygen! -->
<div id="titlearea">
<table cellspacing="0" cellpadding="0">
 <tbody>
 <tr style="height: 56px;">
  <td id="projectalign" style="padding-left: 0.5em;">
   <div id="projectname">eicd
   </div>
  </td>
 </tr>
 </tbody>
</table>
</div>
<!-- end header part -->
<!-- Generated by Doxygen 1.8.13 -->
<script type="text/javascript">
var searchBox = new SearchBox("searchBox", "search",false,'Search');
</script>
<script type="text/javascript" src="menudata.js"></script>
<script type="text/javascript" src="menu.js"></script>
<script type="text/javascript">
$(function() {
  initMenu('',true,false,'search.php','Search');
  $(document).ready(function() { init_search(); });
});
</script>
<div id="main-nav"></div>
<!-- window showing the filter options -->
<div id="MSearchSelectWindow"
     onmouseover="return searchBox.OnSearchSelectShow()"
     onmouseout="return searchBox.OnSearchSelectHide()"
     onkeydown="return searchBox.OnSearchSelectKey(event)">
</div>

<!-- iframe showing the search results (closed by default) -->
<div id="MSearchResultsWindow">
<iframe src="javascript:void(0)" frameborder="0" 
        name="MSearchResults" id="MSearchResults">
</iframe>
</div>

<div id="nav-path" class="navpath">
  <ul>
<li class="navelem"><a class="el" href="dir_e4e37cb967a0a8dac9982f75962b5bf7.html">eicd</a></li>  </ul>
</div>
</div><!-- top -->
<div class="header">
  <div class="headertitle">
<div class="title">TrackerData.h</div>  </div>
</div><!--header-->
<div class="contents">
<a href="_tracker_data_8h.html">Go to the documentation of this file.</a><div class="fragment"><div class="line"><a name="l00001"></a><span class="lineno">    1</span>&#160;<span class="comment">// AUTOMATICALLY GENERATED FILE - DO NOT EDIT</span></div><div class="line"><a name="l00002"></a><span class="lineno">    2</span>&#160;</div><div class="line"><a name="l00003"></a><span class="lineno">    3</span>&#160;<span class="preprocessor">#ifndef EICD_TrackerData_H</span></div><div class="line"><a name="l00004"></a><span class="lineno">    4</span>&#160;<span class="preprocessor">#define EICD_TrackerData_H</span></div><div class="line"><a name="l00005"></a><span class="lineno">    5</span>&#160;</div><div class="line"><a name="l00006"></a><span class="lineno">    6</span>&#160;<span class="preprocessor">#include &quot;<a class="code" href="_tracker_data_const_8h.html">eicd/TrackerDataConst.h</a>&quot;</span></div><div class="line"><a name="l00007"></a><span class="lineno">    7</span>&#160;<span class="preprocessor">#include &quot;<a class="code" href="_tracker_data_obj_8h.html">eicd/TrackerDataObj.h</a>&quot;</span></div><div class="line"><a name="l00008"></a><span class="lineno">    8</span>&#160;</div><div class="line"><a name="l00009"></a><span class="lineno">    9</span>&#160;<span class="preprocessor">#include &quot;podio/ObjectID.h&quot;</span></div><div class="line"><a name="l00010"></a><span class="lineno">   10</span>&#160;<span class="preprocessor">#include &lt;ostream&gt;</span></div><div class="line"><a name="l00011"></a><span class="lineno">   11</span>&#160;</div><div class="line"><a name="l00012"></a><span class="lineno">   12</span>&#160;</div><div class="line"><a name="l00013"></a><span class="lineno">   13</span>&#160;</div><div class="line"><a name="l00014"></a><span class="lineno">   14</span>&#160;<span class="keyword">namespace </span><a class="code" href="namespaceeic.html">eic</a> {</div><div class="line"><a name="l00015"></a><span class="lineno">   15</span>&#160;</div><div class="line"><a name="l00016"></a><span class="lineno">   16</span>&#160;</div><div class="line"><a name="l00017"></a><span class="lineno">   17</span>&#160;<span class="keyword">class </span>TrackerDataCollection;</div><div class="line"><a name="l00018"></a><span class="lineno">   18</span>&#160;<span class="keyword">class </span>TrackerDataCollectionIterator;</div><div class="line"><a name="l00019"></a><span class="lineno">   19</span>&#160;<span class="keyword">class </span>ConstTrackerData;</div><div class="line"><a name="l00020"></a><span class="lineno">   20</span>&#160;</div><div class="line"><a name="l00025"></a><span class="lineno"><a class="line" href="classeic_1_1_tracker_data.html">   25</a></span>&#160;<span class="keyword">class </span><a class="code" href="classeic_1_1_tracker_data.html">TrackerData</a> {</div><div class="line"><a name="l00026"></a><span class="lineno">   26</span>&#160;</div><div class="line"><a name="l00027"></a><span class="lineno">   27</span>&#160;  <span class="keyword">friend</span> <a class="code" href="classeic_1_1_tracker_data_collection.html">TrackerDataCollection</a>;</div><div class="line"><a name="l00028"></a><span class="lineno">   28</span>&#160;  <span class="keyword">friend</span> <a class="code" href="classeic_1_1_tracker_data_collection_iterator.html">TrackerDataCollectionIterator</a>;</div><div class="line"><a name="l00029"></a><span class="lineno">   29</span>&#160;  <span class="keyword">friend</span> <a class="code" href="classeic_1_1_const_tracker_data.html">ConstTrackerData</a>;</div><div class="line"><a name="l00030"></a><span class="lineno">   30</span>&#160;</div><div class="line"><a name="l00031"></a><span class="lineno">   31</span>&#160;<span class="keyword">public</span>:</div><div class="line"><a name="l00032"></a><span class="lineno">   32</span>&#160;</div><div class="line"><a name="l00034"></a><span class="lineno">   34</span>&#160;  <a class="code" href="classeic_1_1_tracker_data.html#ae9d1fcb05ee24e933d14b5ee913b0196">TrackerData</a>();</div><div class="line"><a name="l00035"></a><span class="lineno">   35</span>&#160;  <a class="code" href="classeic_1_1_tracker_data.html#ae9d1fcb05ee24e933d14b5ee913b0196">TrackerData</a>(<span class="keywordtype">long</span> <span class="keywordtype">long</span> <a class="code" href="classeic_1_1_tracker_data.html#a8bb1a9140f6bfd0cb4bed56f4eac55dc">cellID0</a>, <span class="keywordtype">long</span> <span class="keywordtype">long</span> <a class="code" href="classeic_1_1_tracker_data.html#a52879e917e11f91c1601c9bfe9b1c71a">cellID1</a>, <span class="keywordtype">int</span> <a class="code" href="classeic_1_1_tracker_data.html#a02d9d22961d06225c144d783a97f2e90">time</a>);</div><div class="line"><a name="l00036"></a><span class="lineno">   36</span>&#160;</div><div class="line"><a name="l00038"></a><span class="lineno">   38</span>&#160;  <a class="code" href="classeic_1_1_tracker_data.html#ae9d1fcb05ee24e933d14b5ee913b0196">TrackerData</a>(<a class="code" href="classeic_1_1_tracker_data_obj.html">TrackerDataObj</a>* obj);</div><div class="line"><a name="l00039"></a><span class="lineno">   39</span>&#160;</div><div class="line"><a name="l00041"></a><span class="lineno">   41</span>&#160;  <a class="code" href="classeic_1_1_tracker_data.html#ae9d1fcb05ee24e933d14b5ee913b0196">TrackerData</a>(<span class="keyword">const</span> <a class="code" href="classeic_1_1_tracker_data.html">TrackerData</a>&amp; other);</div><div class="line"><a name="l00042"></a><span class="lineno">   42</span>&#160;</div><div class="line"><a name="l00044"></a><span class="lineno">   44</span>&#160;  <a class="code" href="classeic_1_1_tracker_data.html">TrackerData</a>&amp; <a class="code" href="classeic_1_1_tracker_data.html#afff52d52c7ebf683b69a7d507a74e5dd">operator=</a>(<span class="keyword">const</span> <a class="code" href="classeic_1_1_tracker_data.html">TrackerData</a>&amp; other);</div><div class="line"><a name="l00045"></a><span class="lineno">   45</span>&#160;</div><div class="line"><a name="l00047"></a><span class="lineno">   47</span>&#160;  <a class="code" href="classeic_1_1_tracker_data.html">TrackerData</a> <a class="code" href="classeic_1_1_tracker_data.html#ab7e754cb795b2016b22222bdd5c10e49">clone</a>() <span class="keyword">const</span>;</div><div class="line"><a name="l00048"></a><span class="lineno">   48</span>&#160;</div><div class="line"><a name="l00050"></a><span class="lineno">   50</span>&#160;  <a class="code" href="classeic_1_1_tracker_data.html#ac441ab620dfb51439c364baae5d7758b">~TrackerData</a>();</div><div class="line"><a name="l00051"></a><span class="lineno">   51</span>&#160;</div><div class="line"><a name="l00053"></a><span class="lineno">   53</span>&#160;  <span class="keyword">operator</span> <a class="code" href="classeic_1_1_const_tracker_data.html">ConstTrackerData</a>() <span class="keyword">const</span>;</div><div class="line"><a name="l00054"></a><span class="lineno">   54</span>&#160;</div><div class="line"><a name="l00055"></a><span class="lineno">   55</span>&#160;<span class="keyword">public</span>:</div><div class="line"><a name="l00056"></a><span class="lineno">   56</span>&#160;</div><div class="line"><a name="l00058"></a><span class="lineno">   58</span>&#160;  <span class="keyword">const</span> <span class="keywordtype">long</span> <span class="keywordtype">long</span>&amp; <a class="code" href="classeic_1_1_tracker_data.html#a8bb1a9140f6bfd0cb4bed56f4eac55dc">cellID0</a>() <span class="keyword">const</span>;</div><div class="line"><a name="l00059"></a><span class="lineno">   59</span>&#160;</div><div class="line"><a name="l00061"></a><span class="lineno">   61</span>&#160;  <span class="keyword">const</span> <span class="keywordtype">long</span> <span class="keywordtype">long</span>&amp; <a class="code" href="classeic_1_1_tracker_data.html#a52879e917e11f91c1601c9bfe9b1c71a">cellID1</a>() <span class="keyword">const</span>;</div><div class="line"><a name="l00062"></a><span class="lineno">   62</span>&#160;</div><div class="line"><a name="l00064"></a><span class="lineno">   64</span>&#160;  <span class="keyword">const</span> <span class="keywordtype">int</span>&amp; <a class="code" href="classeic_1_1_tracker_data.html#a02d9d22961d06225c144d783a97f2e90">time</a>() <span class="keyword">const</span>;</div><div class="line"><a name="l00065"></a><span class="lineno">   65</span>&#160;</div><div class="line"><a name="l00066"></a><span class="lineno">   66</span>&#160;</div><div class="line"><a name="l00067"></a><span class="lineno">   67</span>&#160;</div><div class="line"><a name="l00069"></a><span class="lineno">   69</span>&#160;  <span class="keywordtype">void</span> <a class="code" href="classeic_1_1_tracker_data.html#a8bb1a9140f6bfd0cb4bed56f4eac55dc">cellID0</a>(<span class="keywordtype">long</span> <span class="keywordtype">long</span> value);</div><div class="line"><a name="l00070"></a><span class="lineno">   70</span>&#160;</div><div class="line"><a name="l00072"></a><span class="lineno">   72</span>&#160;  <span class="keywordtype">void</span> <a class="code" href="classeic_1_1_tracker_data.html#a52879e917e11f91c1601c9bfe9b1c71a">cellID1</a>(<span class="keywordtype">long</span> <span class="keywordtype">long</span> value);</div><div class="line"><a name="l00073"></a><span class="lineno">   73</span>&#160;</div><div class="line"><a name="l00075"></a><span class="lineno">   75</span>&#160;  <span class="keywordtype">void</span> <a class="code" href="classeic_1_1_tracker_data.html#a02d9d22961d06225c144d783a97f2e90">time</a>(<span class="keywordtype">int</span> value);</div><div class="line"><a name="l00076"></a><span class="lineno">   76</span>&#160;</div><div class="line"><a name="l00077"></a><span class="lineno">   77</span>&#160;</div><div class="line"><a name="l00078"></a><span class="lineno">   78</span>&#160;</div><div class="line"><a name="l00079"></a><span class="lineno">   79</span>&#160;</div><div class="line"><a name="l00080"></a><span class="lineno">   80</span>&#160;</div><div class="line"><a name="l00081"></a><span class="lineno">   81</span>&#160;</div><div class="line"><a name="l00083"></a><span class="lineno">   83</span>&#160;  <span class="keywordtype">bool</span> <a class="code" href="classeic_1_1_tracker_data.html#ad7feed4273de7da56a53f2cbbefb2574">isAvailable</a>() <span class="keyword">const</span>;</div><div class="line"><a name="l00085"></a><span class="lineno"><a class="line" href="classeic_1_1_tracker_data.html#a60a7d523796bcc84eb24d41e3019d008">   85</a></span>&#160;  <span class="keywordtype">void</span> <a class="code" href="classeic_1_1_tracker_data.html#a60a7d523796bcc84eb24d41e3019d008">unlink</a>() { m_obj = <span class="keyword">nullptr</span>; }</div><div class="line"><a name="l00086"></a><span class="lineno">   86</span>&#160;</div><div class="line"><a name="l00087"></a><span class="lineno"><a class="line" href="classeic_1_1_tracker_data.html#a805e413014b7a9abcf3a3b742b73388c">   87</a></span>&#160;  <span class="keywordtype">bool</span> <a class="code" href="classeic_1_1_tracker_data.html#a805e413014b7a9abcf3a3b742b73388c">operator==</a>(<span class="keyword">const</span> <a class="code" href="classeic_1_1_tracker_data.html">TrackerData</a>&amp; other)<span class="keyword"> const </span>{ <span class="keywordflow">return</span> m_obj == other.m_obj; }</div><div class="line"><a name="l00088"></a><span class="lineno">   88</span>&#160;  <span class="keywordtype">bool</span> <a class="code" href="classeic_1_1_tracker_data.html#a805e413014b7a9abcf3a3b742b73388c">operator==</a>(<span class="keyword">const</span> <a class="code" href="classeic_1_1_const_tracker_data.html">ConstTrackerData</a>&amp; other) <span class="keyword">const</span>;</div><div class="line"><a name="l00089"></a><span class="lineno">   89</span>&#160;</div><div class="line"><a name="l00090"></a><span class="lineno">   90</span>&#160;  <span class="comment">// less comparison operator, so that objects can be e.g. stored in sets.</span></div><div class="line"><a name="l00091"></a><span class="lineno"><a class="line" href="classeic_1_1_tracker_data.html#a2380c32b0724f9d0160531e6257e2233">   91</a></span>&#160;  <span class="keywordtype">bool</span> <a class="code" href="classeic_1_1_tracker_data.html#a2380c32b0724f9d0160531e6257e2233">operator&lt;</a>(<span class="keyword">const</span> <a class="code" href="classeic_1_1_tracker_data.html">TrackerData</a>&amp; other)<span class="keyword"> const </span>{ <span class="keywordflow">return</span> m_obj &lt; other.m_obj; }</div><div class="line"><a name="l00092"></a><span class="lineno">   92</span>&#160;</div><div class="line"><a name="l00093"></a><span class="lineno"><a class="line" href="classeic_1_1_tracker_data.html#a536ba9cd3bdf5197ca9c3d3aad474947">   93</a></span>&#160;  <span class="keywordtype">unsigned</span> <span class="keywordtype">int</span> <a class="code" href="classeic_1_1_tracker_data.html#a536ba9cd3bdf5197ca9c3d3aad474947">id</a>()<span class="keyword"> const </span>{ <span class="keywordflow">return</span> <a class="code" href="classeic_1_1_tracker_data.html#a374d0ade6e7cc6061aedfde56c21a985">getObjectID</a>().collectionID * 10000000 + <a class="code" href="classeic_1_1_tracker_data.html#a374d0ade6e7cc6061aedfde56c21a985">getObjectID</a>().index; }</div><div class="line"><a name="l00094"></a><span class="lineno">   94</span>&#160;</div><div class="line"><a name="l00095"></a><span class="lineno">   95</span>&#160;  <span class="keyword">const</span> podio::ObjectID <a class="code" href="classeic_1_1_tracker_data.html#a374d0ade6e7cc6061aedfde56c21a985">getObjectID</a>() <span class="keyword">const</span>;</div><div class="line"><a name="l00096"></a><span class="lineno">   96</span>&#160;</div><div class="line"><a name="l00097"></a><span class="lineno">   97</span>&#160;<span class="keyword">private</span>:</div><div class="line"><a name="l00098"></a><span class="lineno">   98</span>&#160;  <a class="code" href="classeic_1_1_tracker_data_obj.html">TrackerDataObj</a>* m_obj;</div><div class="line"><a name="l00099"></a><span class="lineno">   99</span>&#160;};</div><div class="line"><a name="l00100"></a><span class="lineno">  100</span>&#160;</div><div class="line"><a name="l00101"></a><span class="lineno">  101</span>&#160;std::ostream&amp; <a class="code" href="namespaceeic.html#a207cb16b7a2df08e82d05c73c144487f">operator&lt;&lt;</a>(std::ostream&amp; o, <span class="keyword">const</span> <a class="code" href="classeic_1_1_const_tracker_data.html">ConstTrackerData</a>&amp; value);</div><div class="line"><a name="l00102"></a><span class="lineno">  102</span>&#160;</div><div class="line"><a name="l00103"></a><span class="lineno">  103</span>&#160;} <span class="comment">// namespace eic</span></div><div class="line"><a name="l00104"></a><span class="lineno">  104</span>&#160;</div><div class="line"><a name="l00105"></a><span class="lineno">  105</span>&#160;</div><div class="line"><a name="l00106"></a><span class="lineno">  106</span>&#160;<span class="preprocessor">#endif</span></div><div class="ttc" id="classeic_1_1_tracker_data_html_ac441ab620dfb51439c364baae5d7758b"><div class="ttname"><a href="classeic_1_1_tracker_data.html#ac441ab620dfb51439c364baae5d7758b">eic::TrackerData::~TrackerData</a></div><div class="ttdeci">~TrackerData()</div><div class="ttdoc">destructor </div><div class="ttdef"><b>Definition:</b> <a href="_tracker_data_8cc_source.html#l00045">TrackerData.cc:45</a></div></div>
<div class="ttc" id="classeic_1_1_tracker_data_html_a02d9d22961d06225c144d783a97f2e90"><div class="ttname"><a href="classeic_1_1_tracker_data.html#a02d9d22961d06225c144d783a97f2e90">eic::TrackerData::time</a></div><div class="ttdeci">const int &amp; time() const</div><div class="ttdoc">Access the time measurement associated with the adc values. </div><div class="ttdef"><b>Definition:</b> <a href="_tracker_data_8cc_source.html#l00052">TrackerData.cc:52</a></div></div>
<div class="ttc" id="classeic_1_1_const_tracker_data_html"><div class="ttname"><a href="classeic_1_1_const_tracker_data.html">eic::ConstTrackerData</a></div><div class="ttdef"><b>Definition:</b> <a href="_tracker_data_const_8h_source.html#l00023">TrackerDataConst.h:23</a></div></div>
<div class="ttc" id="classeic_1_1_tracker_data_html_afff52d52c7ebf683b69a7d507a74e5dd"><div class="ttname"><a href="classeic_1_1_tracker_data.html#afff52d52c7ebf683b69a7d507a74e5dd">eic::TrackerData::operator=</a></div><div class="ttdeci">TrackerData &amp; operator=(const TrackerData &amp;other)</div><div class="ttdoc">copy-assignment operator </div><div class="ttdef"><b>Definition:</b> <a href="_tracker_data_8cc_source.html#l00031">TrackerData.cc:31</a></div></div>
<div class="ttc" id="classeic_1_1_tracker_data_html_a52879e917e11f91c1601c9bfe9b1c71a"><div class="ttname"><a href="classeic_1_1_tracker_data.html#a52879e917e11f91c1601c9bfe9b1c71a">eic::TrackerData::cellID1</a></div><div class="ttdeci">const long long &amp; cellID1() const</div><div class="ttdoc">Access the The second detector specific (geometrical) cell id. </div><div class="ttdef"><b>Definition:</b> <a href="_tracker_data_8cc_source.html#l00051">TrackerData.cc:51</a></div></div>
<div class="ttc" id="classeic_1_1_tracker_data_html_a8bb1a9140f6bfd0cb4bed56f4eac55dc"><div class="ttname"><a href="classeic_1_1_tracker_data.html#a8bb1a9140f6bfd0cb4bed56f4eac55dc">eic::TrackerData::cellID0</a></div><div class="ttdeci">const long long &amp; cellID0() const</div><div class="ttdoc">Access the The detector specific (geometrical) cell id. </div><div class="ttdef"><b>Definition:</b> <a href="_tracker_data_8cc_source.html#l00050">TrackerData.cc:50</a></div></div>
<div class="ttc" id="classeic_1_1_tracker_data_html_a374d0ade6e7cc6061aedfde56c21a985"><div class="ttname"><a href="classeic_1_1_tracker_data.html#a374d0ade6e7cc6061aedfde56c21a985">eic::TrackerData::getObjectID</a></div><div class="ttdeci">const podio::ObjectID getObjectID() const</div><div class="ttdef"><b>Definition:</b> <a href="_tracker_data_8cc_source.html#l00072">TrackerData.cc:72</a></div></div>
<div class="ttc" id="namespaceeic_html_a207cb16b7a2df08e82d05c73c144487f"><div class="ttname"><a href="namespaceeic.html#a207cb16b7a2df08e82d05c73c144487f">eic::operator&lt;&lt;</a></div><div class="ttdeci">std::ostream &amp; operator&lt;&lt;(std::ostream &amp;o, const ConstCalorimeterHit &amp;value)</div><div class="ttdef"><b>Definition:</b> <a href="_calorimeter_hit_8cc_source.html#l00112">CalorimeterHit.cc:112</a></div></div>
<div class="ttc" id="classeic_1_1_tracker_data_collection_html"><div class="ttname"><a href="classeic_1_1_tracker_data_collection.html">eic::TrackerDataCollection</a></div><div class="ttdef"><b>Definition:</b> <a href="_tracker_data_collection_8h_source.html#l00050">TrackerDataCollection.h:50</a></div></div>
<div class="ttc" id="classeic_1_1_tracker_data_html"><div class="ttname"><a href="classeic_1_1_tracker_data.html">eic::TrackerData</a></div><div class="ttdef"><b>Definition:</b> <a href="_tracker_data_8h_source.html#l00025">TrackerData.h:25</a></div></div>
<div class="ttc" id="classeic_1_1_tracker_data_html_a805e413014b7a9abcf3a3b742b73388c"><div class="ttname"><a href="classeic_1_1_tracker_data.html#a805e413014b7a9abcf3a3b742b73388c">eic::TrackerData::operator==</a></div><div class="ttdeci">bool operator==(const TrackerData &amp;other) const</div><div class="ttdef"><b>Definition:</b> <a href="_tracker_data_8h_source.html#l00087">TrackerData.h:87</a></div></div>
<div class="ttc" id="classeic_1_1_tracker_data_collection_iterator_html"><div class="ttname"><a href="classeic_1_1_tracker_data_collection_iterator.html">eic::TrackerDataCollectionIterator</a></div><div class="ttdef"><b>Definition:</b> <a href="_tracker_data_collection_8h_source.html#l00029">TrackerDataCollection.h:29</a></div></div>
<div class="ttc" id="classeic_1_1_tracker_data_html_a60a7d523796bcc84eb24d41e3019d008"><div class="ttname"><a href="classeic_1_1_tracker_data.html#a60a7d523796bcc84eb24d41e3019d008">eic::TrackerData::unlink</a></div><div class="ttdeci">void unlink()</div><div class="ttdoc">disconnect from TrackerDataObj instance </div><div class="ttdef"><b>Definition:</b> <a href="_tracker_data_8h_source.html#l00085">TrackerData.h:85</a></div></div>
<div class="ttc" id="classeic_1_1_tracker_data_html_a536ba9cd3bdf5197ca9c3d3aad474947"><div class="ttname"><a href="classeic_1_1_tracker_data.html#a536ba9cd3bdf5197ca9c3d3aad474947">eic::TrackerData::id</a></div><div class="ttdeci">unsigned int id() const</div><div class="ttdef"><b>Definition:</b> <a href="_tracker_data_8h_source.html#l00093">TrackerData.h:93</a></div></div>
<div class="ttc" id="classeic_1_1_tracker_data_html_ab7e754cb795b2016b22222bdd5c10e49"><div class="ttname"><a href="classeic_1_1_tracker_data.html#ab7e754cb795b2016b22222bdd5c10e49">eic::TrackerData::clone</a></div><div class="ttdeci">TrackerData clone() const</div><div class="ttdoc">support cloning (deep-copy) </div><div class="ttdef"><b>Definition:</b> <a href="_tracker_data_8cc_source.html#l00041">TrackerData.cc:41</a></div></div>
<div class="ttc" id="classeic_1_1_tracker_data_html_ae9d1fcb05ee24e933d14b5ee913b0196"><div class="ttname"><a href="classeic_1_1_tracker_data.html#ae9d1fcb05ee24e933d14b5ee913b0196">eic::TrackerData::TrackerData</a></div><div class="ttdeci">TrackerData()</div><div class="ttdoc">default constructor </div><div class="ttdef"><b>Definition:</b> <a href="_tracker_data_8cc_source.html#l00016">TrackerData.cc:16</a></div></div>
<div class="ttc" id="classeic_1_1_tracker_data_obj_html"><div class="ttname"><a href="classeic_1_1_tracker_data_obj.html">eic::TrackerDataObj</a></div><div class="ttdef"><b>Definition:</b> <a href="_tracker_data_obj_8h_source.html#l00018">TrackerDataObj.h:18</a></div></div>
<div class="ttc" id="namespaceeic_html"><div class="ttname"><a href="namespaceeic.html">eic</a></div><div class="ttdef"><b>Definition:</b> <a href="_calorimeter_hit_8cc_source.html#l00014">CalorimeterHit.cc:14</a></div></div>
<div class="ttc" id="_tracker_data_const_8h_html"><div class="ttname"><a href="_tracker_data_const_8h.html">TrackerDataConst.h</a></div></div>
<div class="ttc" id="classeic_1_1_tracker_data_html_ad7feed4273de7da56a53f2cbbefb2574"><div class="ttname"><a href="classeic_1_1_tracker_data.html#ad7feed4273de7da56a53f2cbbefb2574">eic::TrackerData::isAvailable</a></div><div class="ttdeci">bool isAvailable() const</div><div class="ttdoc">check whether the object is actually available </div><div class="ttdef"><b>Definition:</b> <a href="_tracker_data_8cc_source.html#l00065">TrackerData.cc:65</a></div></div>
<div class="ttc" id="classeic_1_1_tracker_data_html_a2380c32b0724f9d0160531e6257e2233"><div class="ttname"><a href="classeic_1_1_tracker_data.html#a2380c32b0724f9d0160531e6257e2233">eic::TrackerData::operator&lt;</a></div><div class="ttdeci">bool operator&lt;(const TrackerData &amp;other) const</div><div class="ttdef"><b>Definition:</b> <a href="_tracker_data_8h_source.html#l00091">TrackerData.h:91</a></div></div>
<div class="ttc" id="_tracker_data_obj_8h_html"><div class="ttname"><a href="_tracker_data_obj_8h.html">TrackerDataObj.h</a></div></div>
</div><!-- fragment --></div><!-- contents -->
<!-- start footer part -->
<hr class="footer"/><address class="footer"><small>
Generated by &#160;<a href="http://www.doxygen.org/index.html">
<img class="footer" src="doxygen.png" alt="doxygen"/>
</a> 1.8.13
</small></address>
</body>
</html>
